Subject: Re: bug#13402: 24.2.92 pretest: bugs in isearch-yank-line in info page

From: Alan Mackenzie <[email-masked]>
Date: Wed, 13 Feb 2013 21:59:36 +0000

Hi, Juri.

On Wed, Feb 13, 2013 at 07:53:28PM +0200, Juri Linkov wrote:
> > I think it should either skip it properly, or not at all.  There is an
> > inconsistency here between parts of isearch.

> This can be fixed by the patch below that takes into account
> the default value `open' of `search-invisible' and treats it the same
> as its value `t', i.e. matches hidden text (but it still can't "open" it
> in a meaningful way).

OK.  The patch seems to work.

> > I think this should be fixed, somehow, for Emacs 24.3.  I would agree
> > with your suggestion that isearch should simply yank the invisible text.

> This is not a regression, so this patch is intended for trunk:

Indeed, I tried it on some older Emacsen.  It does go back some way.

> === modified file 'lisp/info.el'
> --- lisp/info.el	2013-02-12 07:57:04 +0000
> +++ lisp/info.el	2013-02-13 17:52:53 +0000
> @@ -2162,7 +2162,7 @@ (defun Info-isearch-filter (beg-found fo
>      (let ((backward (< found beg-found)))
>        (not
>         (or
> -	(and (not (eq search-invisible t))
> +	(and (null search-invisible)
>  	     (if backward
>  		 (or (text-property-not-all found beg-found 'invisible nil)
>  		     (text-property-not-all found beg-found 'display nil))

-- 
Alan Mackenzie (Nuremberg, Germany).